Skip to main content
GET
/
data-sources
/
{selector}
/
export
Export data source (flat interface)
curl --request GET \
  --url https://api.getmembrane.com/data-sources/{selector}/export \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "key": "<string>",
  "name": "<string>",
  "description": "<string>",
  "meta": {},
  "integrationUuid": "<string>",
  "parentUuid": "<string>",
  "externalAppUuid": "<string>",
  "isCustomized": true,
  "isUniversal": true,
  "instanceKey": "<string>",
  "udm": "<string>",
  "pullUpdatesIntervalSeconds": 123,
  "fullSyncIntervalSeconds": 123,
  "collectionKey": "<string>",
  "collectionParameters": {},
  "path": "<string>",
  "defaultPath": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

selector
string
required

Query Parameters

layer
enum<string>
Available options:
universal,
integration,
connection
integrationKey
string
integrationId
string
connectionId
string
connectionKey
string
instanceKey
string

Response

200 - application/json
uuid
string

Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.

key
string

Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.

name
string

Display name. Optional on create; used to generate key when key is omitted.

description
string

Optional human-readable description.

meta
object

Optional key-value metadata.

integrationUuid
string
parentUuid
string
externalAppUuid
string
isCustomized
boolean
isUniversal
boolean
instanceKey
string
udm
string
pullUpdatesIntervalSeconds
number
fullSyncIntervalSeconds
number
collectionKey
string
collectionParameters
object
path
string
deprecated
defaultPath
string
deprecated